
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.util.StringTokenizer;

public class Main {

    public static void main(String[] args) throws Exception {
        Main p = new Main();
        p.run();
    }
    
    protected void run() throws Exception {
        while (input.ready()) {
            String line = nextLine();
            int jmenovatel = Integer.parseInt(line.substring(2));
            int dvojnasobek = jmenovatel * 2;
            int results = 1;
            for (int i = jmenovatel + 1; i < dvojnasobek; i++) {
                if (validate(i, jmenovatel)) {
                    results++;
                }
            }
            System.out.println(results);
        }
    }
    
    protected boolean validate(int x, int n) {
        int citatel = n * x;
        int jmenovatel = x - n;
        return citatel % jmenovatel == 0;
    }
    
    
    
    StringTokenizer st = new StringTokenizer("");
    BufferedReader input = new BufferedReader(new InputStreamReader(System.in));

    public String nextToken() throws Exception {
        while (!st.hasMoreTokens()) {
            st = new StringTokenizer(input.readLine());
        }
        return st.nextToken();
    }
    
    public int nextInt() throws Exception {
        return Integer.parseInt(nextToken());
    }
    
    public String nextLine() throws Exception {
        return input.readLine();
    }
    
}
